MacWrtProStructuresInternal::Graphic Struct Reference

Internal: the graphic structure. More...

## Public Types

enum | Type { UNKNOWN , GRAPHIC , TEXT , NOTE }

## Public Member Functions

| Graphic (int vers)
| the constructor
void | fillFrame (MWAWGraphicStyle &style) const
| update the style to include frame style
bool | isGraphic () const
| returns true is this is a graphic zone
bool | isText () const
| returns true is this is a text zone (or a not)
bool | isTable () const
| returns true is this is a table zone
bool | hasSameBorders () const
bool | hasBorders () const
MWAWPosition | getPosition () const
MWAWPosition::YPos | getRelativeYPos () const
bool | contains (MWAWBox2f const &box) const
bool | intersects (MWAWBox2f const &box) const

## Public Attributes

int | m_version
| the version
int | m_type
| the type
Type | m_contentType
| the type 1.0 or 1.5
int | m_fileBlock
| the file block id
int | m_id
| the graphic id
bool | m_attachment
| true if this is an attachment 1.0 or 1.5
int | m_page
| the page (if absolute)
MWAWBox2f | m_box
| the bdbox
int | m_textPos
| filled for pagebreak pos
int | m_textboxType
| the header footer type
int | m_headerFooterFlag
| the header footer flag
int | m_column
| the number of columns
float | m_colSeparator
| the columns separator
int | m_lastFlag
| the last flag
double | m_borderWList [4]
| the borders width
MWAWBorder | m_borderCellList [4]
| the cell borders
float | m_baseline
| the baseline ( in point 0=bottom aligned)
MWAWColor | m_surfaceColor
| the background color
MWAWBorder | m_lineBorder
| the line border
bool | m_isHeader
| filled for header/footer
int | m_row
| number of row, filled for table
int | m_col
| number of columns, filled for table
int | m_textboxCellType
| filled for textbox : 0: unknown/textbox, 1: cell, 2: textbox(opened)
std::string | m_extra
| extra data
bool | m_send
| true if we have send the data

## Friends

std::ostream & | operator<< (std::ostream &o, Graphic const &bl)
| operator<<

## Detailed Description

Internal: the graphic structure.

## Member Enumeration Documentation

## Type

enum MacWrtProStructuresInternal::Graphic::Type

Enumerator
UNKNOWN |
GRAPHIC |
TEXT |
NOTE |

## Constructor & Destructor Documentation

## Graphic()

MacWrtProStructuresInternal::Graphic::Graphic | ( | int | vers | ) |

inline explicit

the constructor

Referenced by operator<<.

## Member Function Documentation

## contains()

bool MacWrtProStructuresInternal::Graphic::contains | ( | MWAWBox2f const & | box | ) | const

inline

## fillFrame()

void MacWrtProStructuresInternal::Graphic::fillFrame | ( | MWAWGraphicStyle & | style | ) | const

inline

update the style to include frame style

## getPosition()

MWAWPosition MacWrtProStructuresInternal::Graphic::getPosition | ( |  | ) | const

inline

## getRelativeYPos()

MWAWPosition::YPos MacWrtProStructuresInternal::Graphic::getRelativeYPos | ( |  | ) | const

inline

Referenced by getPosition().

## hasBorders()

bool MacWrtProStructuresInternal::Graphic::hasBorders | ( |  | ) | const

inline

Referenced by fillFrame().

## hasSameBorders()

bool MacWrtProStructuresInternal::Graphic::hasSameBorders | ( |  | ) | const

inline

Referenced by operator<<.

## intersects()

bool MacWrtProStructuresInternal::Graphic::intersects | ( | MWAWBox2f const & | box | ) | const

inline

## isGraphic()

bool MacWrtProStructuresInternal::Graphic::isGraphic | ( |  | ) | const

inline

returns true is this is a graphic zone

## isTable()

bool MacWrtProStructuresInternal::Graphic::isTable | ( |  | ) | const

inline

returns true is this is a table zone

## isText()

bool MacWrtProStructuresInternal::Graphic::isText | ( |  | ) | const

inline

returns true is this is a text zone (or a not)

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Graphic const & | bl )

friend

operator<<

## Member Data Documentation

## m_attachment

bool MacWrtProStructuresInternal::Graphic::m_attachment

true if this is an attachment 1.0 or 1.5

Referenced by getPosition(), and Graphic().

## m_baseline

float MacWrtProStructuresInternal::Graphic::m_baseline

the baseline ( in point 0=bottom aligned)

Referenced by getRelativeYPos(), Graphic(), and operator<<.

## m_borderCellList

MWAWBorder MacWrtProStructuresInternal::Graphic::m_borderCellList[4]

the cell borders

Referenced by MacWrtProStructuresInternal::Cell::Cell(), and operator<<.

## m_borderWList

double MacWrtProStructuresInternal::Graphic::m_borderWList[4]

the borders width

Referenced by fillFrame(), Graphic(), hasBorders(), hasSameBorders(), and operator<<.

## m_box

MWAWBox2f MacWrtProStructuresInternal::Graphic::m_box

the bdbox

Referenced by MacWrtProStructuresInternal::Cell::Cell(), contains(), getPosition(), getRelativeYPos(), Graphic(), intersects(), operator<<, and MacWrtProStructures::readGraphicII().

## m_col

int MacWrtProStructuresInternal::Graphic::m_col

number of columns, filled for table

Referenced by Graphic().

## m_colSeparator

float MacWrtProStructuresInternal::Graphic::m_colSeparator

the columns separator

Referenced by Graphic(), operator<<, and MacWrtProStructures::readGraphicII().

## m_column

int MacWrtProStructuresInternal::Graphic::m_column

the number of columns

Referenced by Graphic(), operator<<, and MacWrtProStructures::readGraphicII().

## m_contentType

Type MacWrtProStructuresInternal::Graphic::m_contentType

the type 1.0 or 1.5

Referenced by getPosition(), Graphic(), isGraphic(), isText(), and operator<<.

## m_extra

std::string MacWrtProStructuresInternal::Graphic::m_extra

extra data

Referenced by Graphic(), operator<<, and MacWrtProStructures::readGraphicII().

## m_fileBlock

int MacWrtProStructuresInternal::Graphic::m_fileBlock

the file block id

Referenced by Graphic(), isGraphic(), isTable(), isText(), operator<<, and MacWrtProStructures::readGraphicII().

## m_headerFooterFlag

int MacWrtProStructuresInternal::Graphic::m_headerFooterFlag

the header footer flag

Referenced by Graphic(), operator<<, and MacWrtProStructures::readGraphicII().

## m_id

int MacWrtProStructuresInternal::Graphic::m_id

the graphic id

Referenced by MacWrtProStructuresInternal::Cell::Cell(), Graphic(), and operator<<.

## m_isHeader

bool MacWrtProStructuresInternal::Graphic::m_isHeader

filled for header/footer

Referenced by Graphic(), and operator<<.

## m_lastFlag

int MacWrtProStructuresInternal::Graphic::m_lastFlag

the last flag

Referenced by Graphic(), and MacWrtProStructures::readGraphicII().

## m_lineBorder

MWAWBorder MacWrtProStructuresInternal::Graphic::m_lineBorder

the line border

Referenced by fillFrame(), Graphic(), hasBorders(), and operator<<.

## m_page

int MacWrtProStructuresInternal::Graphic::m_page

the page (if absolute)

Referenced by getPosition(), Graphic(), and MacWrtProStructures::readGraphicII().

## m_row

int MacWrtProStructuresInternal::Graphic::m_row

number of row, filled for table

Referenced by Graphic().

## m_send

bool MacWrtProStructuresInternal::Graphic::m_send

true if we have send the data

Referenced by Graphic().

## m_surfaceColor

MWAWColor MacWrtProStructuresInternal::Graphic::m_surfaceColor

the background color

Referenced by MacWrtProStructuresInternal::Cell::Cell(), fillFrame(), Graphic(), and operator<<.

## m_textboxCellType

int MacWrtProStructuresInternal::Graphic::m_textboxCellType

filled for textbox : 0: unknown/textbox, 1: cell, 2: textbox(opened)

Referenced by Graphic().

## m_textboxType

int MacWrtProStructuresInternal::Graphic::m_textboxType

the header footer type

Referenced by Graphic(), operator<<, and MacWrtProStructures::readGraphicII().

## m_textPos

int MacWrtProStructuresInternal::Graphic::m_textPos

filled for pagebreak pos

Referenced by Graphic(), operator<<, and MacWrtProStructures::readGraphicII().

## m_type

int MacWrtProStructuresInternal::Graphic::m_type

the type

Referenced by Graphic(), isTable(), operator<<, and MacWrtProStructures::readGraphicII().

## m_version

int MacWrtProStructuresInternal::Graphic::m_version

the version

Referenced by Graphic(), and operator<<.

The documentation for this struct was generated from the following file:

- MacWrtProStructures.cxx